# Uses of Class
org.opensaml.messaging.context.MessageContext

Packages that use MessageContext
Package
Description
org.opensaml.messaging.context
Interfaces and classes for tracking message processing state.
org.opensaml.messaging.context.navigate
A set of functions used to navigate and lookup data from a tree of `BaseContext`s.
org.opensaml.messaging.decoder
Interfaces and classes for decoding messages.
org.opensaml.messaging.encoder
Interfaces and classes for encoding messages.
org.opensaml.messaging.error
Interfaces and classes for message-related error handling.
org.opensaml.messaging.handler
Interfaces and classes for message context handlers.
org.opensaml.messaging.handler.impl
Implementations of message context handlers.
org.opensaml.messaging.logic
Interfaces and classes for messaging logic.
org.opensaml.profile.action
Interfaces and classes for profile actions, discrete units of behavior that make up a profile.
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.profile.context.navigate
Functions for navigating profile context information.
org.opensaml.profile.logic
First order logic predicates and functions used for working with profile request data.
org.opensaml.profile.testing
org.opensaml.saml.common.binding
Classes related to SAML binding operations.
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.binding.security.impl
Classes responsible for performing transport-related and basic message validation of decoded SAML messages.
org.opensaml.saml.common.messaging
Support classes for SAML message security operations.
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.
org.opensaml.saml.common.messaging.logic
Predicates related to SAML message contexts.
org.opensaml.saml.common.messaging.soap
Support classes for SAML SOAP message operations.
org.opensaml.saml.saml1.binding.artifact
Classes that may be used to create and manipulate SAML 1 artifacts.
org.opensaml.saml.saml1.binding.decoding.impl
SAML 1.x message decoders.
org.opensaml.saml.saml1.binding.encoding.impl
SAML 1.x message encoders.
org.opensaml.saml.saml1.binding.impl
General message handlers for SAML 1.x.
org.opensaml.saml.saml2.assertion.messaging.impl
Implementation classes related to networking and messaging APIs that support validating SAML 2 Assertions.
org.opensaml.saml.saml2.binding.artifact
Classes that may be used to create and manipulate SAML 2 artifacts.
org.opensaml.saml.saml2.binding.decoding.impl
SAML 2.0 message decoders.
org.opensaml.saml.saml2.binding.encoding.impl
SAML 2.0 message encoders.
org.opensaml.saml.saml2.binding.impl
General message handlers for SAML 2.0.
org.opensaml.saml.saml2.binding.security.impl
Security-related message handlers for SAML 2.0.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.wssecurity.messaging.impl
Implementation of SAML WS-Security message handler functionality.
org.opensaml.security.messaging
Messaging-related security classes.
org.opensaml.security.messaging.impl
Message handler implementations.
org.opensaml.soap.client.http
SOAP HTTP client functionality.
org.opensaml.soap.client.messaging
SOAP HTTP client messaging functionality.
org.opensaml.soap.client.security
Classes related to SOAP client security.
org.opensaml.soap.messaging
SOAP messaging support components.
org.opensaml.soap.soap11.decoder.http.impl
SOAP over HTTP 1.1 message decoder and handlers.
org.opensaml.soap.soap11.messaging.impl
SOAP messaging support implementations.
org.opensaml.soap.wsaddressing.messaging.impl
WS-Addressing message handling components.
org.opensaml.soap.wssecurity.messaging
WS-Security messaging support components.
org.opensaml.soap.wssecurity.messaging.impl
WS-Security message handling components.
org.opensaml.xmlsec.messaging.impl
Message handlers for XML Security functionality.

## Uses of MessageContext in org.opensaml.messaging.context

Fields in org.opensaml.messaging.context declared as MessageContext
Modifier and Type
Field
Description
`private MessageContext`
InOutOperationContext.`inboundContext`
The inbound message context.
`private MessageContext`
InOutOperationContext.`outboundContext`
The outbound message context.
Methods in org.opensaml.messaging.context that return MessageContext
Modifier and Type
Method
Description
`MessageContext`
InOutOperationContext.`ensureInboundMessageContext()`
Gets the inbound message context, creating an empty one if it does not already exist.
`MessageContext`
InOutOperationContext.`ensureOutboundMessageContext()`
Gets the outbound message context, creating an empty one if it does not already exist.
`MessageContext`
InOutOperationContext.`getInboundMessageContext()`
The inbound message context instance.
`MessageContext`
InOutOperationContext.`getOutboundMessageContext()`
The outbound message context instance.
Methods in org.opensaml.messaging.context with parameters of type MessageContext
Modifier and Type
Method
Description
`void`
InOutOperationContext.`setInboundMessageContext(MessageContext context)`
Sets the inbound message context.
`void`
InOutOperationContext.`setOutboundMessageContext(MessageContext context)`
Sets the outbound message context.
Constructors in org.opensaml.messaging.context with parameters of type MessageContext
Modifier
Constructor
Description
``
`InOutOperationContext(MessageContext inbound, MessageContext outbound)`
Constructor.

## Uses of MessageContext in org.opensaml.messaging.context.navigate

Methods in org.opensaml.messaging.context.navigate that return MessageContext
Modifier and Type
Method
Description
`MessageContext`
MessageContextLookup.`apply(BaseContext baseContext)`
Methods in org.opensaml.messaging.context.navigate with parameters of type MessageContext
Modifier and Type
Method
Description
`T`
MessageLookup.`apply(MessageContext input)`

## Uses of MessageContext in org.opensaml.messaging.decoder

Fields in org.opensaml.messaging.decoder declared as MessageContext
Modifier and Type
Field
Description
`private MessageContext`
AbstractMessageDecoder.`messageContext`
Message context.
Methods in org.opensaml.messaging.decoder that return MessageContext
Modifier and Type
Method
Description
`MessageContext`
AbstractMessageDecoder.`getMessageContext()`
Get the decoded message context.
`MessageContext`
MessageDecoder.`getMessageContext()`
Get the decoded message context.
Methods in org.opensaml.messaging.decoder with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
AbstractMessageDecoder.`setMessageContext(MessageContext context)`
Set the message context.

## Uses of MessageContext in org.opensaml.messaging.encoder

Fields in org.opensaml.messaging.encoder declared as MessageContext
Modifier and Type
Field
Description
`private MessageContext`
AbstractMessageEncoder.`messageContext`
The message context.
Methods in org.opensaml.messaging.encoder that return MessageContext
Modifier and Type
Method
Description
`protected MessageContext`
AbstractMessageEncoder.`getMessageContext()`
Get the message context.
Methods in org.opensaml.messaging.encoder with parameters of type MessageContext
Modifier and Type
Method
Description
`void`
AbstractMessageEncoder.`setMessageContext(MessageContext context)`
Set the `MessageContext` which is to be encoded.
`void`
MessageEncoder.`setMessageContext(MessageContext messageContext)`
Set the `MessageContext` which is to be encoded.

## Uses of MessageContext in org.opensaml.messaging.error

Methods in org.opensaml.messaging.error with parameters of type MessageContext
Modifier and Type
Method
Description
`boolean`
MessageErrorHandler.`handleError(Throwable t, MessageContext messageContext)`
Handle a particular thrown error.

## Uses of MessageContext in org.opensaml.messaging.handler

Fields in org.opensaml.messaging.handler with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Predicate<MessageContext>`
AbstractMessageHandler.`activationCondition`
Condition dictating whether to run or not.
Methods in org.opensaml.messaging.handler that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`Predicate<MessageContext>`
AbstractMessageHandler.`getActivationCondition()`
Get activation condition indicating whether the handler should be invoked.
Methods in org.opensaml.messaging.handler with parameters of type MessageContext
Modifier and Type
Method
Description
`protected abstract void`
AbstractMessageHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
AbstractMessageHandler.`doPostInvoke(MessageContext messageContext)`
Called after execution, handlers may override this method to perform post-processing for a request.
`protected void`
AbstractMessageHandler.`doPostInvoke(MessageContext messageContext, Exception e)`
Called after execution, handlers may override this method to perform post-processing for a request.
`protected boolean`
AbstractMessageHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`void`
AbstractMessageHandler.`invoke(MessageContext messageContext)`
Invoke the handler on the specified message context.
`void`
MessageHandler.`invoke(MessageContext messageContext)`
Invoke the handler on the specified message context.
Method parameters in org.opensaml.messaging.handler with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
AbstractMessageHandler.`setActivationCondition(Predicate<MessageContext> condition)`
Set activation condition indicating whether the handler should be invoked.

## Uses of MessageContext in org.opensaml.messaging.handler.impl

Fields in org.opensaml.messaging.handler.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,Boolean>`
CheckMandatoryAuthentication.`authenticationLookupStrategy`
Strategy used to look up the authentication state associated with the message context.
`private Function<MessageContext,String>`
CheckExpectedIssuer.`expectedIssuerLookupStrategy`
Strategy used to look up the expected issuer associated with the message context.
`private Function<MessageContext,String>`
CheckExpectedIssuer.`issuerLookupStrategy`
Strategy used to look up the issuer associated with the message context.
`private Function<MessageContext,String>`
CheckMandatoryIssuer.`issuerLookupStrategy`
Strategy used to look up the issuer associated with the message context.
`private Function<MessageContext,Function<MessageContext,Exception>>`
FunctionMessageHandler.`lookupStrategy`
The `Function` to run.
`private Function<MessageContext,Function<MessageContext,Exception>>`
FunctionMessageHandler.`lookupStrategy`
The `Function` to run.
`private Function<MessageContext,BaseContext>`
AbstractMessageChannelSecurity.`parentContextLookupStrategy`
Strategy used to look up the parent `BaseContext` on which the `MessageChannelSecurityContext` will be populated.
`private Function<MessageContext,String>`
URLEvaluatingMessageChannelSecurity.`urlLookup`
Function which looks up the URL to evaluate.
Methods in org.opensaml.messaging.handler.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`void`
BasicMessageHandlerChain.`doInvoke(MessageContext msgContext)`
Performs the handler logic.
`protected void`
CheckExpectedIssuer.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
CheckMandatoryAuthentication.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
CheckMandatoryIssuer.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
FunctionMessageHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
HttpServletRequestValidationHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
MessageHandlerErrorStrategyAdapter.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SchemaValidateXMLMessage.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
StaticMessageChannelSecurity.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
URLEvaluatingMessageChannelSecurity.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
AbstractMessageChannelSecurity.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
SchemaValidateXMLMessage.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
URLEvaluatingMessageChannelSecurity.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
Method parameters in org.opensaml.messaging.handler.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
CheckMandatoryAuthentication.`setAuthenticationLookupStrategy(Function<MessageContext,Boolean> strategy)`
Set the strategy used to look up the authentication state associated with the message context.
`void`
CheckExpectedIssuer.`setExpectedIssuerLookupStrategy(Function<MessageContext,String> strategy)`
Set the strategy used to look up the expected issuer associated with the message context.
`void`
FunctionMessageHandler.`setFunction(Function<MessageContext,Exception> function)`
Set the `Function` to use.
`void`
FunctionMessageHandler.`setFunctionLookupStrategy(Function<MessageContext,Function<MessageContext,Exception>> strategy)`
Set a lookup strategy for the `Function` to use.
`void`
FunctionMessageHandler.`setFunctionLookupStrategy(Function<MessageContext,Function<MessageContext,Exception>> strategy)`
Set a lookup strategy for the `Function` to use.
`void`
CheckExpectedIssuer.`setIssuerLookupStrategy(Function<MessageContext,String> strategy)`
Set the strategy used to look up the issuer associated with the message context.
`void`
CheckMandatoryIssuer.`setIssuerLookupStrategy(Function<MessageContext,String> strategy)`
Set the strategy used to look up the issuer associated with the message context.
`void`
AbstractMessageChannelSecurity.`setParentContextLookupStrategy(Function<MessageContext,BaseContext> strategy)`
Set the strategy used to look up the parent `BaseContext` on which the `MessageChannelSecurityContext` will be populated.
`void`
URLEvaluatingMessageChannelSecurity.`setURLLookup(Function<MessageContext,String> function)`
Set the function which looks up the destination URL to evaluate.

## Uses of MessageContext in org.opensaml.messaging.logic

Methods in org.opensaml.messaging.logic with parameters of type MessageContext
Modifier and Type
Method
Description
`boolean`
NoConfidentialityMessageChannelPredicate.`test(MessageContext input)`
`boolean`
NoIntegrityMessageChannelPredicate.`test(MessageContext input)`

## Uses of MessageContext in org.opensaml.profile.action

Fields in org.opensaml.profile.action with type parameters of type MessageContext
Modifier and Type
Field
Description
`private ContextDataLookupFunction<ProfileRequestContext,MessageContext>`
AbstractHandlerDelegatingProfileAction.`messageContextLookup`
Lookup function for the message context on which to operate.
`private static final ParentProfileRequestContextLookup<MessageContext>`
AbstractHandlerDelegatingProfileAction.`PRC_LOOKUP`
Lookup function for parent ProfileRequestContext.
Methods in org.opensaml.profile.action that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`protected <T> Function<MessageContext,T>`
AbstractHandlerDelegatingProfileAction.`adapt(Function<ProfileRequestContext,T> function)`
Adapt a `ProfileRequestContext` function to a `MessageContext` function via composing with a lookup function.
`protected Predicate<MessageContext>`
AbstractHandlerDelegatingProfileAction.`adapt(Predicate<ProfileRequestContext> predicate)`
Adapt a `ProfileRequestContext` predicate into a `MessageContext` predicate via composing with a lookup function.
`protected <T> Function<MessageContext,T>`
AbstractHandlerDelegatingProfileAction.`adaptRequired(Function<ProfileRequestContext,T> function)`
Adapt a `ProfileRequestContext` function to a `MessageContext` function via composing with a lookup function, disallowing nulls.
Constructor parameters in org.opensaml.profile.action with type arguments of type MessageContext
Modifier
Constructor
Description
``
`AbstractHandlerDelegatingProfileAction(DelegateType delegateInstance, ContextDataLookupFunction<ProfileRequestContext,MessageContext> lookup)`
Constructor.
``
`AbstractHandlerDelegatingProfileAction(Class<DelegateType> delegateClass, ContextDataLookupFunction<ProfileRequestContext,MessageContext> lookup)`
Constructor.

## Uses of MessageContext in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl declared as MessageContext
Modifier and Type
Field
Description
`private MessageContext`
EncodeMessage.`msgContext`
The outbound MessageContext to encode.

## Uses of MessageContext in org.opensaml.profile.context.navigate

Methods in org.opensaml.profile.context.navigate that return MessageContext
Modifier and Type
Method
Description
`MessageContext`
InboundMessageContextLookup.`apply(ProfileRequestContext input)`
`MessageContext`
OutboundMessageContextLookup.`apply(ProfileRequestContext input)`

## Uses of MessageContext in org.opensaml.profile.logic

Fields in org.opensaml.profile.logic with type parameters of type MessageContext
Modifier and Type
Field
Description
`private static final ParentProfileRequestContextLookup<MessageContext>`
MessageContextPredicateAdapter.`PRC_LOOKUP`
The lookup function for the ProfileRequestContext.
Methods in org.opensaml.profile.logic with parameters of type MessageContext
Modifier and Type
Method
Description
`boolean`
MessageContextPredicateAdapter.`test(MessageContext input)`

## Uses of MessageContext in org.opensaml.profile.testing

Methods in org.opensaml.profile.testing that return MessageContext
Modifier and Type
Method
Description
`protected MessageContext`
RequestContextBuilder.`buildInboundMessageContext()`
Builds a inbound `MessageContext`.
`protected MessageContext`
RequestContextBuilder.`buildOutboundMessageContext()`
Builds a outbound `MessageContext`.

## Uses of MessageContext in org.opensaml.saml.common.binding

Methods in org.opensaml.saml.common.binding with parameters of type MessageContext
Modifier and Type
Method
Description
`static String`
SAMLBindingSupport.`getActualReceiverEndpointURI(MessageContext messageContext)`
Extract the transport endpoint URI at which this message was received.
`static String`
SAMLBindingSupport.`getActualReceiverEndpointURI(MessageContext messageContext, HttpServletRequest request)`
Extract the transport endpoint URI at which this message was received.
`static URI`
SAMLBindingSupport.`getEndpointURL(MessageContext messageContext)`
Get the response URL from the relying party endpoint.
`static URI`
SAMLBindingSupport.`getEndpointURLOrNull(MessageContext messageContext)`
Get the response URL from the relying party endpoint.
`static String`
SAMLBindingSupport.`getIntendedDestinationEndpointURI(MessageContext messageContext)`
Extract the message information which indicates to what receiver endpoint URI the SAML message was intended to be delivered.
`static String`
SAMLBindingSupport.`getRelayState(MessageContext messageContext)`
Get the SAML protocol relay state from a message context.
`static boolean`
SAMLBindingSupport.`isIntendedDestinationEndpointURIRequired(MessageContext messageContext)`
Determine whether the binding in use requires the presence within the message of information indicating the intended message destination endpoint URI.
`static boolean`
SAMLBindingSupport.`isMessageSigned(MessageContext messageContext)`
Determine whether the SAML message represented by the message context is digitally signed.
`static boolean`
SAMLBindingSupport.`isMessageSigned(MessageContext messageContext, boolean presenceSatisfies)`
Determine whether the SAML message represented by the message context is digitally signed.
`static boolean`
SAMLBindingSupport.`isSigningCapableBinding(MessageContext messageContext)`
Determine whether the SAML binding to be used by the message context supports signatures at the binding layer.
`static void`
SAMLBindingSupport.`setRelayState(MessageContext messageContext, String relayState)`
Set the SAML protocol relay state on a message context.

## Uses of MessageContext in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,AuthnRequest>`
SAMLAddAttributeConsumingServiceHandler.`authnRequestLookupStrategy`
Lookup strategy for an `AuthnRequest` index.
`private Function<MessageContext,ChannelBindingsContext>`
AddChannelBindingsHeaderHandler.`channelBindingsContextLookupStrategy`
Strategy used to locate the `ChannelBindingsContext` to operate on.
`private Function<MessageContext,List<SignatureSigningConfiguration>>`
PopulateSignatureSigningParametersHandler.`configurationLookupStrategy`
Strategy used to look up a per-request `SignatureSigningConfiguration` list.
`private ContextDataLookupFunction<MessageContext,? extends BaseContext>`
SAMLProtocolAndRoleHandler.`copyContextLookup`
Optional lookup function for a context from which to copy the protocol and role data, for example from a parent operation context.
`private Function<MessageContext,SAMLMetadataContext>`
SAMLMetadataLookupHandler.`copyContextStrategy`
Optional strategy for resolving an existing metadata context from which to copy data.
`private Function<MessageContext,SecurityParametersContext>`
PopulateSignatureSigningParametersHandler.`existingParametersContextLookupStrategy`
Strategy used to look up an existing `SecurityParametersContext` to copy.
`private Function<MessageContext,SAMLMetadataContext>`
PopulateSignatureSigningParametersHandler.`metadataContextLookupStrategy`
Strategy used to look up a SAML metadata context.
`private Function<MessageContext,SAMLMetadataContext>`
SAMLAddAttributeConsumingServiceHandler.`metadataContextLookupStrategy`
Lookup strategy for `SAMLMetadataContext`.
`private Function<MessageContext,RoleDescriptorResolver>`
SAMLMetadataLookupHandler.`metadataResolverLookupStrategy`
Resolver used to look up SAML metadata.
`private Function<MessageContext,ProfileRequestContext>`
SAMLMetadataLookupHandler.`profileRequestContextLookupStrategy`
Optional but defaulted strategy for locating a PRC.
`private Function<MessageContext,SecurityParametersContext>`
PopulateSignatureSigningParametersHandler.`securityParametersContextLookupStrategy`
Strategy used to look up the `SecurityParametersContext` to set the parameters for.
Methods in org.opensaml.saml.common.binding.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`AuthnRequest`
SAMLAddAttributeConsumingServiceHandler.AuthnRequestLookup.`apply(MessageContext input)`
`protected CriteriaSet`
SAMLMetadataLookupHandler.`buildLookupCriteria(MessageContext messageContext, String entityID, QName role)`
Build the lookup criteria from the message context data.
`protected void`
AddChannelBindingsHeaderHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
CheckMessageStatusHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
CheckMessageVersionHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
PopulateSignatureSigningParametersHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SAMLAddAttributeConsumingServiceHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SAMLMetadataLookupHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SAMLOutboundDestinationHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SAMLProtocolAndRoleHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SAMLSOAPDecoderBodyHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
AddChannelBindingsHeaderHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
PopulateSignatureSigningParametersHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
SAMLAddAttributeConsumingServiceHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected Collection<RequestedAttribute>`
SAMLAddAttributeConsumingServiceHandler.`getRequestedAttributes(MessageContext messageContext, AuthnRequest authn)`
Grab the `RequestedAttribute` (if any) from the `AuthnRequest`.
`protected SAMLMetadataContext`
SAMLMetadataLookupHandler.`resolveExisting(MessageContext messageContext, String entityID, QName role)`
Attempt to resolve an existing `SAMLMetadataContext` from which to copy.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
AddChannelBindingsHeaderHandler.`setChannelBindingsContextLookupStrategy(Function<MessageContext,ChannelBindingsContext> strategy)`
Set the strategy used to locate the `ChannelBindingsContext` to operate on.
`void`
PopulateSignatureSigningParametersHandler.`setConfigurationLookupStrategy(Function<MessageContext,List<SignatureSigningConfiguration>> strategy)`
Set the strategy used to look up a per-request `SignatureSigningConfiguration` list.
`void`
SAMLProtocolAndRoleHandler.`setCopyContextLookup(ContextDataLookupFunction<MessageContext,? extends BaseContext> lookup)`
Set the optional lookup function for a context from which to copy the protocol and role data, for example from a parent operation context.
`void`
SAMLMetadataLookupHandler.`setCopyContextStrategy(Function<MessageContext,SAMLMetadataContext> strategy)`
Set the optional strategy for resolving an existing metadata context from which to copy data.
`void`
PopulateSignatureSigningParametersHandler.`setExistingParametersContextLookupStrategy(Function<MessageContext,SecurityParametersContext> strategy)`
Set the strategy used to look up an existing `SecurityParametersContext` to copy instead of actually resolving the parameters to set.
`void`
SAMLAddAttributeConsumingServiceHandler.`setIndexLookupStrategy(Function<MessageContext,AuthnRequest> strategy)`
Set the strategy to locate the `AttributeConsumingService` index from the `MessageContext`.
`void`
PopulateSignatureSigningParametersHandler.`setMetadataContextLookupStrategy(Function<MessageContext,SAMLMetadataContext> strategy)`
Set lookup strategy for `SAMLMetadataContext` for input to resolution.
`void`
SAMLAddAttributeConsumingServiceHandler.`setMetadataContextLookupStrategy(Function<MessageContext,SAMLMetadataContext> strategy)`
Set the strategy to locate the `SAMLMetadataContext` from the `MessageContext`.
`void`
SAMLMetadataLookupHandler.`setProfileRequestContextLookupStrategy(Function<MessageContext,ProfileRequestContext> strategy)`
Set optional lookup strategy for locating `ProfileRequestContext`.
`void`
SAMLMetadataLookupHandler.`setRoleDescriptorResolverLookupStrategy(Function<MessageContext,RoleDescriptorResolver> strategy)`
Set the lookup strategy for the `RoleDescriptorResolver` to use.
`void`
PopulateSignatureSigningParametersHandler.`setSecurityParametersContextLookupStrategy(Function<MessageContext,SecurityParametersContext> strategy)`
Set the strategy used to look up the `SecurityParametersContext` to set the parameters for.

## Uses of MessageContext in org.opensaml.saml.common.binding.security.impl

Fields in org.opensaml.saml.common.binding.security.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private ContextDataLookupFunction<MessageContext,String>`
CheckAndRecordServerTLSEntityAuthenticationtHandler.`entityIDLookup`
The strategy function for resolving the authenticated entityID.
`private ContextDataLookupFunction<MessageContext,org.apache.hc.client5.http.protocol.HttpClientContext>`
CheckAndRecordServerTLSEntityAuthenticationtHandler.`httpClientContextLookup`
The strategy function for resolving the `to evaluate`.
`private RecursiveTypedParentContextLookup<MessageContext,InOutOperationContext>`
OperationContextEntityIDLookup.`parentLookup`
Parent operation context lookup function.
Methods in org.opensaml.saml.common.binding.security.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`org.apache.hc.client5.http.protocol.HttpClientContext`
CheckAndRecordServerTLSEntityAuthenticationtHandler.DefaultHttpClientContextLookup.`apply(MessageContext messageContext)`
`String`
OperationContextEntityIDLookup.`apply(MessageContext messageContext)`
`protected CriteriaSet`
BaseSAMLSimpleSignatureSecurityHandler.`buildCriteriaSet(String entityID, MessageContext messageContext)`
Build a criteria set suitable for input to the trust engine.
`protected CriteriaSet`
BaseSAMLXMLSignatureSecurityHandler.`buildCriteriaSet(String entityID, MessageContext messageContext)`
Subclasses are required to implement this method to build a criteria set for the trust engine according to trust engine and application-specific needs.
`protected CriteriaSet`
SAMLMDClientCertAuthSecurityHandler.`buildCriteriaSet(String entityID, MessageContext messageContext)`
Subclasses are required to implement this method to build a criteria set for the trust engine according to trust engine and application-specific needs.
`protected void`
ReceivedEndpointSecurityHandler.`checkEndpointURI(MessageContext messageContext, URIComparator comparator)`
Check the validity of the SAML protocol message receiver endpoint against requirements indicated in the message.
`protected String`
BaseSAMLSimpleSignatureSecurityHandler.`deriveSignerEntityID(MessageContext messageContext)`
Derive the signer's entity ID from the message context.
`private void`
BaseSAMLSimpleSignatureSecurityHandler.`doEvaluate(byte[] signature, byte[] signedContent, String algorithmURI, MessageContext messageContext)`
Evaluate the simple signature based on information in the request and/or message context.
`protected void`
SAMLProtocolMessageXMLSignatureSecurityHandler.`doEvaluate(Signature signature, SignableSAMLObject signableObject, MessageContext messageContext)`
Perform cryptographic validation and trust evaluation on the Signature token using the configured Signature trust engine.
`protected void`
BaseSAMLSimpleSignatureSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
CheckAndRecordServerTLSEntityAuthenticationtHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
EndpointURLSchemeSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
InResponseToSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`void`
MessageLifetimeSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
MessageReplaySecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
ReceivedEndpointSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SAMLOutboundProtocolMessageSigningHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`void`
SAMLProtocolMessageXMLSignatureSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
BaseSAMLSimpleSignatureSecurityHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
BaseSAMLXMLSignatureSecurityHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected String`
SAMLMDClientCertAuthSecurityHandler.`getCertificatePresenterEntityID(MessageContext messageContext)`
Get the entity ID of the presenter of the client TLS certificate, as will be used for trust evaluation purposes.
`protected List<Credential>`
BaseSAMLSimpleSignatureSecurityHandler.`getRequestCredentials(MessageContext messageContext)`
Extract any candidate validation credentials from the request and/or message context.
`protected byte[]`
BaseSAMLSimpleSignatureSecurityHandler.`getSignedContent(MessageContext messageContext)`
Get the content over which to validate the signature, in the form suitable for input into `SignatureTrustEngine.validate(byte[], byte[], String, CriteriaSet, Credential)`.
`private String`
InResponseToSecurityHandler.`resolveInboundInResponseTo(MessageContext messageContext)`
Resolve the inbound inResponseTo ID.
`private String`
InResponseToSecurityHandler.`resolveOutboundRequestID(MessageContext messageContext)`
Resolve the outbound request ID.
`protected TrustEngine<Signature>`
BaseSAMLXMLSignatureSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.
`protected abstract boolean`
BaseSAMLSimpleSignatureSecurityHandler.`ruleHandles(MessageContext messageContext)`
Determine whether the rule should handle the request, based on the unwrapped HTTP servlet request and/or message context.
`protected void`
SAMLMDClientCertAuthSecurityHandler.`setAuthenticatedCertificatePresenterEntityID(MessageContext messageContext, String entityID)`
Store the successfully authenticated derived entity ID of the certificate presenter in the message context.
`protected void`
SAMLMDClientCertAuthSecurityHandler.`setAuthenticatedState(MessageContext messageContext, boolean authenticated)`
Store the indicated message authentication state in the message context.
Method parameters in org.opensaml.saml.common.binding.security.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
CheckAndRecordServerTLSEntityAuthenticationtHandler.`setEntityIDLookup(ContextDataLookupFunction<MessageContext,String> strategy)`
Set the strategy function for resolving the authenticated entityID.
`void`
CheckAndRecordServerTLSEntityAuthenticationtHandler.`setHttpClientContextLookup(ContextDataLookupFunction<MessageContext,org.apache.hc.client5.http.protocol.HttpClientContext> strategy)`
Set the strategy function for resolving the `to evaluate`.

## Uses of MessageContext in org.opensaml.saml.common.messaging

Methods in org.opensaml.saml.common.messaging with parameters of type MessageContext
Modifier and Type
Method
Description
`static SignatureSigningParameters`
SAMLMessageSecuritySupport.`getContextSigningParameters(MessageContext messageContext)`
Get the signing parameters from the message context.
`static void`
SAMLMessageSecuritySupport.`signMessage(MessageContext messageContext)`
Signs the SAML message represented in the message context if it is a `SignableXMLObject` and the message context contains signing parameters as determined by `SAMLMessageSecuritySupport.getContextSigningParameters(MessageContext)`.

## Uses of MessageContext in org.opensaml.saml.common.messaging.context

Fields in org.opensaml.saml.common.messaging.context with type parameters of type MessageContext
Modifier and Type
Field
Description
`private BiConsumer<MessageContext,CriteriaSet>`
SAMLMetadataLookupParametersContext.`criteriaExtender`
An extender hook that can add additional `Criterion` objects.
Methods in org.opensaml.saml.common.messaging.context that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`BiConsumer<MessageContext,CriteriaSet>`
SAMLMetadataLookupParametersContext.`getCriteriaExtender()`
Get a callable hook for extending the `CriteriaSet` used for metadata resolution.
Method parameters in org.opensaml.saml.common.messaging.context with type arguments of type MessageContext
Modifier and Type
Method
Description
`SAMLMetadataLookupParametersContext`
SAMLMetadataLookupParametersContext.`setCriteriaExtender(BiConsumer<MessageContext,CriteriaSet> extender)`
Set a callable hook for extending the `CriteriaSet` used for metadata resolution.

## Uses of MessageContext in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate with parameters of type MessageContext
Modifier and Type
Method
Description
`Boolean`
SAMLMessageContextAuthenticationFunction.`apply(MessageContext input)`
`String`
SAMLMessageContextIssuerFunction.`apply(MessageContext input)`

## Uses of MessageContext in org.opensaml.saml.common.messaging.logic

Methods in org.opensaml.saml.common.messaging.logic with parameters of type MessageContext
Modifier and Type
Method
Description
`boolean`
ProxiedRequesterPredicate.`test(MessageContext input)`
`boolean`
SignatureCapableBindingPredicate.`test(MessageContext input)`

## Uses of MessageContext in org.opensaml.saml.common.messaging.soap

Fields in org.opensaml.saml.common.messaging.soap with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,CriteriaSet>`
SAMLSOAPClientContextBuilder.`tlsCriteriaSetStrategy`
TLS CriteriaSet strategy.
Methods in org.opensaml.saml.common.messaging.soap that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`Function<MessageContext,CriteriaSet>`
SAMLSOAPClientContextBuilder.`getTLSCriteriaSetStrategy()`
Get the TLS CriteriaSet strategy.
Methods in org.opensaml.saml.common.messaging.soap with parameters of type MessageContext
Modifier and Type
Method
Description
`CriteriaSet`
SAMLSOAPClientContextBuilder.DefaultTLSCriteriaSetStrategy.`apply(MessageContext messageContext)`
Method parameters in org.opensaml.saml.common.messaging.soap with type arguments of type MessageContext
Modifier and Type
Method
Description
`SAMLSOAPClientContextBuilder<InboundMessageType,OutboundMessageType>`
SAMLSOAPClientContextBuilder.`setTLSCriteriaSetStrategy(Function<MessageContext,CriteriaSet> strategy)`
Set the TLS CriteriaSet strategy.

## Uses of MessageContext in org.opensaml.saml.saml1.binding.artifact

Methods in org.opensaml.saml.saml1.binding.artifact with parameters of type MessageContext
Modifier and Type
Method
Description
`ArtifactType`
SAML1ArtifactBuilder.`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`SAML1ArtifactType0001`
SAML1ArtifactType0001Builder.`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`SAML1ArtifactType0002`
SAML1ArtifactType0002Builder.`buildArtifact(MessageContext requestContext, Assertion assertion)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`protected String`
SAML1ArtifactType0002Builder.`getArsEndpointUrl(MessageContext requestContext)`
Gets the index of the source artifact resolution service.
`protected SAMLArtifactContext`
SAML1ArtifactType0001Builder.`getArtifactContext(MessageContext requestContext)`
Get the artifact context.
`protected SAMLArtifactContext`
SAML1ArtifactType0002Builder.`getArtifactContext(MessageContext requestContext)`
Get the artifact context.
`protected String`
SAML1ArtifactType0001Builder.`getSourceEntityId(MessageContext requestContext)`
Get the local entityId.

## Uses of MessageContext in org.opensaml.saml.saml1.binding.decoding.impl

Methods in org.opensaml.saml.saml1.binding.decoding.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
HTTPArtifactDecoder.`decodeTarget(MessageContext messageContext, HttpServletRequest request)`
Decodes the TARGET parameter and adds it to the message context.
`protected void`
HTTPArtifactDecoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HttpClientResponseSOAP11Decoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPPostDecoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPSOAP11Decoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPArtifactDecoder.`processArtifacts(MessageContext messageContext, HttpServletRequest request)`
Process the incoming artifacts by decoding the artifacts, dereferencing them from the artifact source and storing the resulting response (with assertions) in the message context.

## Uses of MessageContext in org.opensaml.saml.saml1.binding.encoding.impl

Methods in org.opensaml.saml.saml1.binding.encoding.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected URI`
BaseSAML1MessageEncoder.`getEndpointURL(MessageContext messageContext)`
Gets the response URL from the message context.
`private String`
HTTPArtifactEncoder.`getInboundMessageIssuer(MessageContext messageContext)`
Get the requester.
`private String`
HTTPArtifactEncoder.`getOutboundMessageIssuer(MessageContext messageContext)`
Get the outbound message issuer.
`private byte[]`
HTTPArtifactEncoder.`getSAMLArtifactType(MessageContext messageContext)`
Get the SAML artifact type from the message context.
`protected void`
HTTPPostEncoder.`postEncode(MessageContext messageContext, String endpointURL)`
Base64 and POST encodes the outbound message and writes it to the outbound transport.
`private void`
HTTPArtifactEncoder.`storeSAMLArtifactType(MessageContext messageContext, byte[] artifactType)`
Store the SAML artifact type in the message context.

## Uses of MessageContext in org.opensaml.saml.saml1.binding.impl

Methods in org.opensaml.saml.saml1.binding.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
SAML1ArtifactRequestIssuerHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.

## Uses of MessageContext in org.opensaml.saml.saml2.assertion.messaging.impl

Fields in org.opensaml.saml.saml2.assertion.messaging.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,String>`
DefaultAssertionValidationContextBuilder.DefaultSelfEntityIDLookupFunction.`delegate`
The lookup delegate.
`private Function<MessageContext,String>`
DefaultAssertionValidationContextBuilder.DefaultValidInResponseToLookupFunction.`delegate`
The lookup delegate.
`private Function<MessageContext,String>`
DefaultAssertionValidationContextBuilder.DefaultValidIssuersLookupFunction.`delegate`
The lookup delegate.
Methods in org.opensaml.saml.saml2.assertion.messaging.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
DefaultAssertionValidationContextBuilder.`populateSignatureCriteriaFromInboundContext(CriteriaSet criteriaSet, MessageContext inboundContext)`
Populate signature criteria from the specified `MessageContext`.

## Uses of MessageContext in org.opensaml.saml.saml2.binding.artifact

Methods in org.opensaml.saml.saml2.binding.artifact with parameters of type MessageContext
Modifier and Type
Method
Description
`ArtifactType`
SAML2ArtifactBuilder.`buildArtifact(MessageContext requestContext)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`SAML2ArtifactType0004`
SAML2ArtifactType0004Builder.`buildArtifact(MessageContext requestContext)`
Builds an artifact, for the given assertion, destined for the outbound message recipient.
`protected Integer`
SAML2ArtifactType0004Builder.`getArsEndpointIndex(MessageContext requestContext)`
Gets the index of the source artifact resolution service.
`protected SAMLArtifactContext`
SAML2ArtifactType0004Builder.`getArtifactContext(MessageContext requestContext)`
Get the artifact context.
`protected String`
SAML2ArtifactType0004Builder.`getSourceEntityId(MessageContext requestContext)`
Get the local entityId.

## Uses of MessageContext in org.opensaml.saml.saml2.binding.decoding.impl

Methods in org.opensaml.saml.saml2.binding.decoding.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
HTTPArtifactDecoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HttpClientResponseSOAP11Decoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPPostDecoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPPostSimpleSignDecoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPRedirectDeflateDecoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPSOAP11Decoder.`populateBindingContext(MessageContext messageContext)`
Populate the context which carries information specific to this binding.
`protected void`
HTTPRedirectDeflateDecoder.`populateSimpleSignatureContext(MessageContext messageContext, String samlMessageParamName, String samlMessage)`
Build signed content string and populate the `SimpleSignatureContext`.
`private void`
HTTPArtifactDecoder.`processArtifact(MessageContext messageContext, HttpServletRequest request)`
Process the incoming artifact by decoding the artifacts, dereferencing it from the artifact issuer and storing the resulting protocol message in the message context.

## Uses of MessageContext in org.opensaml.saml.saml2.binding.encoding.impl

Methods in org.opensaml.saml.saml2.binding.encoding.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected SAML2Artifact`
HTTPArtifactEncoder.`buildArtifact(MessageContext messageContext)`
Builds the SAML 2 artifact for the outgoing message.
`protected String`
HTTPPostSimpleSignEncoder.`buildFormDataToSign(org.apache.velocity.VelocityContext velocityContext, MessageContext messageContext, String sigAlgURI)`
Build the form control data string over which the signature is computed.
`protected String`
HTTPRedirectDeflateEncoder.`buildRedirectURL(MessageContext messageContext, String endpoint, String message)`
Builds the URL to redirect the client to.
`protected URI`
BaseSAML2MessageEncoder.`getEndpointURL(MessageContext messageContext)`
Gets the response URL from the message context.
`private String`
HTTPArtifactEncoder.`getInboundMessageIssuer(MessageContext messageContext)`
Get the requester.
`private String`
HTTPArtifactEncoder.`getOutboundMessageIssuer(MessageContext messageContext)`
Get the outbound message issuer.
`private byte[]`
HTTPArtifactEncoder.`getSAMLArtifactType(MessageContext messageContext)`
Get the SAML artifact type from the message context.
`protected void`
HTTPPostEncoder.`populateVelocityContext(org.apache.velocity.VelocityContext velocityContext, MessageContext messageContext, String endpointURL)`
Populate the Velocity context instance which will be used to render the POST body.
`protected void`
HTTPPostSimpleSignEncoder.`populateVelocityContext(org.apache.velocity.VelocityContext velocityContext, MessageContext messageContext, String endpointURL)`
Populate the Velocity context instance which will be used to render the POST body.
`protected void`
HTTPPostEncoder.`postEncode(MessageContext messageContext, String endpointURL)`
Base64 and POST encodes the outbound message and writes it to the outbound transport.
`private void`
HTTPArtifactEncoder.`storeSAMLArtifactType(MessageContext messageContext, byte[] artifactType)`
Store the SAML artifact type in the message context.

## Uses of MessageContext in org.opensaml.saml.saml2.binding.impl

Fields in org.opensaml.saml.saml2.binding.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,SAMLConsentContext>`
AddConsentToResponseHandler.`consentContextStrategy`
Strategy for locating `SAMLConsentContext`.
`private Function<MessageContext,SAMLConsentContext>`
ExtractConsentFromRequestHandler.`consentContextStrategy`
Strategy for locating `SAMLConsentContext`.
`private Function<MessageContext,ProxiedRequesterContext>`
ExtractProxiedRequestersHandler.`proxiedContextCreationStrategy`
Strategy for creating `ProxiedRequesterContext`.
Methods in org.opensaml.saml.saml2.binding.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
AddConsentToResponseHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
AddECPResponseHeaderHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
AddGeneratedKeyHeaderHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
AddRelayStateHeaderHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
AddRequestAuthenticatedHeaderHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
CheckNoPassiveHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
ExtractConsentFromRequestHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
ExtractProxiedRequestersHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
AddECPResponseHeaderHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
AddGeneratedKeyHeaderHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
AddRelayStateHeaderHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
AddRequestAuthenticatedHeaderHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
Method parameters in org.opensaml.saml.saml2.binding.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
AddConsentToResponseHandler.`setConsentContextLookupStrategy(Function<MessageContext,SAMLConsentContext> strategy)`
Set the strategy for locating `SAMLConsentContext`.
`void`
ExtractConsentFromRequestHandler.`setConsentContextLookupStrategy(Function<MessageContext,SAMLConsentContext> strategy)`
Set the strategy for locating `SAMLConsentContext`.
`void`
ExtractProxiedRequestersHandler.`setProxiedRequesterContextCreationStrategy(Function<MessageContext,ProxiedRequesterContext> strategy)`
Set the strategy for creating `ProxiedRequesterContext`.

## Uses of MessageContext in org.opensaml.saml.saml2.binding.security.impl

Methods in org.opensaml.saml.saml2.binding.security.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
ExtractChannelBindingsExtensionsHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
ExtractChannelBindingsHeadersHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`void`
SAML2AuthnRequestsSignedSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
ExtractChannelBindingsExtensionsHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected List<Credential>`
SAML2HTTPPostSimpleSignSecurityHandler.`getRequestCredentials(MessageContext samlContext)`
Extract any candidate validation credentials from the request and/or message context.
`protected boolean`
SAML2AuthnRequestsSignedSecurityHandler.`isMessageSigned(MessageContext messageContext)`
Determine whether the inbound message is signed.
`protected boolean`
SAML2AuthnRequestsSignedSecurityHandler.`isRequestSigningRequired(MessageContext messageContext)`
Determine whether a signature is required.
`protected boolean`
SAML2HTTPPostSimpleSignSecurityHandler.`ruleHandles(MessageContext messageContext)`
Determine whether the rule should handle the request, based on the unwrapped HTTP servlet request and/or message context.
`protected boolean`
SAML2HTTPRedirectDeflateSignatureSecurityHandler.`ruleHandles(MessageContext messageContext)`
Determine whether the rule should handle the request, based on the unwrapped HTTP servlet request and/or message context.

## Uses of MessageContext in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,String>`
DefaultAssertionValidationContextBuilder.DefaultValidInResponseToLookupFunction.`delegate`
The lookup delegate.
`private Function<MessageContext,String>`
DefaultAssertionValidationContextBuilder.DefaultValidIssuersLookupFunction.`delegate`
The lookup delegate.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
DefaultAssertionValidationContextBuilder.`populateSignatureCriteriaFromInboundContext(CriteriaSet criteriaSet, MessageContext inboundContext)`
Deprecated.
Populate signature criteria from the specified `MessageContext`.

## Uses of MessageContext in org.opensaml.saml.saml2.wssecurity.messaging.impl

Fields in org.opensaml.saml.saml2.wssecurity.messaging.impl declared as MessageContext
Modifier and Type
Field
Description
`private MessageContext`
SAML20AssertionTokenValidationInput.`messageContext`
The message context input.
Fields in org.opensaml.saml.saml2.wssecurity.messaging.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator>`
WSSecuritySAML20AssertionTokenSecurityHandler.`assertionValidatorLookup`
The SAML 2.0 Assertion validator lookup function.
`private Function<Pair<MessageContext,Assertion>,CriteriaSet>`
DefaultSAML20AssertionValidationContextBuilder.`signatureCriteriaSetFunction`
A function for resolving the signature validation CriteriaSet for a particular function.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl that return MessageContext
Modifier and Type
Method
Description
`MessageContext`
SAML20AssertionTokenValidationInput.`getMessageContext()`
Get the `MessageContext` input.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator>`
WSSecuritySAML20AssertionTokenSecurityHandler.`getAssertionValidatorLookup()`
Get the Assertion validator lookup function.
`Function<Pair<MessageContext,Assertion>,CriteriaSet>`
DefaultSAML20AssertionValidationContextBuilder.`getSignatureCriteriaSetFunction()`
Get the function for resolving the signature validation CriteriaSet for a particular function.
Methods in org.opensaml.saml.saml2.wssecurity.messaging.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected ValidationContext`
WSSecuritySAML20AssertionTokenSecurityHandler.`buildValidationContext(MessageContext messageContext, Assertion assertion)`
Build the Assertion ValidationContext.
`protected void`
WSSecuritySAML20AssertionTokenSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`SAML20AssertionValidator`
WSSecuritySAML20AssertionTokenSecurityHandler.`getAssertionValidator(MessageContext messageContext, Assertion assertion)`
Get the configured Assertion validator.
`protected void`
WSSecuritySAML20AssertionTokenSecurityHandler.`processResult(ValidationContext validationContext, ValidationResult validationResult, SAML20AssertionToken token, MessageContext messageContext)`
Process the result of the token validation.
`protected List<Assertion>`
WSSecuritySAML20AssertionTokenSecurityHandler.`resolveAssertions(MessageContext messageContext)`
Resolve the SAML 2.0 Assertions token from the SOAP envelope.
Method parameters in org.opensaml.saml.saml2.wssecurity.messaging.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
WSSecuritySAML20AssertionTokenSecurityHandler.`setAssertionValidatorLookup(Function<Pair<MessageContext,Assertion>,SAML20AssertionValidator> function)`
Set the Assertion validator lookup function.
`void`
DefaultSAML20AssertionValidationContextBuilder.`setSignatureCriteriaSetFunction(Function<Pair<MessageContext,Assertion>,CriteriaSet> function)`
Set the function for resolving the signature validation CriteriaSet for a particular function.
Constructors in org.opensaml.saml.saml2.wssecurity.messaging.impl with parameters of type MessageContext
Modifier
Constructor
Description
``
`SAML20AssertionTokenValidationInput(MessageContext context, HttpServletRequest request, Assertion samlAssertion)`
Constructor.

## Uses of MessageContext in org.opensaml.security.messaging

Fields in org.opensaml.security.messaging with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,CriteriaSet>`
HttpClientSecurityContext.`tlsCriteriaSetStrategy`
TLS criteria strategy function.
Methods in org.opensaml.security.messaging that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`Function<MessageContext,CriteriaSet>`
HttpClientSecurityContext.`getTLSCriteriaSetStrategy()`
Get the TLS criteria strategy function.
Method parameters in org.opensaml.security.messaging with type arguments of type MessageContext
Modifier and Type
Method
Description
`HttpClientSecurityContext`
HttpClientSecurityContext.`setTLSCriteriaSetStrategy(Function<MessageContext,CriteriaSet> strategy)`
Set the TLS criteria strategy function.

## Uses of MessageContext in org.opensaml.security.messaging.impl

Fields in org.opensaml.security.messaging.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Predicate<MessageContext>`
PopulateHttpClientSecurityParametersHandler.`clientTLSPredicate`
Predicate which determines whether clientTLS credentials should be included in the resolved parameters.
`private Function<MessageContext,List<HttpClientSecurityConfiguration>>`
PopulateHttpClientSecurityParametersHandler.`configurationLookupStrategy`
Strategy used to look up a per-request `HttpClientSecurityConfiguration` list.
`private Function<MessageContext,HttpClientSecurityContext>`
PopulateHttpClientSecurityParametersHandler.`existingParametersContextLookupStrategy`
Strategy used to look up an existing `HttpClientSecurityContext` to copy.
`private Function<MessageContext,HttpClientSecurityContext>`
PopulateHttpClientSecurityParametersHandler.`securityParametersContextLookupStrategy`
Strategy used to look up the `HttpClientSecurityContext` to set the parameters for.
Methods in org.opensaml.security.messaging.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected CriteriaSet`
BaseClientCertAuthSecurityHandler.`buildCriteriaSet(String entityID, MessageContext messageContext)`
Subclasses are required to implement this method to build a criteria set for the trust engine according to trust engine and application-specific needs.
`protected abstract CriteriaSet`
BaseTrustEngineSecurityHandler.`buildCriteriaSet(String entityID, MessageContext messageContext)`
Subclasses are required to implement this method to build a criteria set for the trust engine according to trust engine and application-specific needs.
`protected void`
BaseClientCertAuthSecurityHandler.`doEvaluate(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the request credential.
`protected void`
BaseClientCertAuthSecurityHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
PopulateHttpClientSecurityParametersHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
BaseClientCertAuthSecurityHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
BaseTrustEngineSecurityHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
PopulateHttpClientSecurityParametersHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
BaseTrustEngineSecurityHandler.`evaluate(TokenType token, String entityID, MessageContext messageContext)`
Evaluate the token using the configured trust engine against criteria built using the specified candidate issuer entity ID and message context information.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateCertificateNameDerivedPresenters(X509Credential requestCredential, MessageContext messageContext)`
Evaluate candidate presenter entity ID's which may be derived from the request credential's entity certificate according to the options supplied via `CertificateNameOptions`.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateDerivedPresenters(X509Credential requestCredential, MessageContext messageContext)`
Evaluate any candidate presenter entity ID's which may be derived from the credential or other message context information.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateSubjectAltNames(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the presenter entity ID as derived from the cert subject alternative names specified by types enumerated in `CertificateNameOptions.getSubjectAltNames()`.
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateSubjectCommonName(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the presenter entity ID as derived from the cert subject common name (CN).
`protected String`
BaseClientCertAuthSecurityHandler.`evaluateSubjectDN(X509Credential requestCredential, MessageContext messageContext)`
Evaluate the presenter entity ID as derived from the cert subject DN.
`protected abstract String`
BaseClientCertAuthSecurityHandler.`getCertificatePresenterEntityID(MessageContext messageContext)`
Get the entity ID of the presenter of the client TLS certificate, as will be used for trust evaluation purposes.
`protected void`
PopulateHttpClientSecurityParametersHandler.`postProcessParams(MessageContext messageContext, HttpClientSecurityParameters params)`
Post-process the resolved parameters.
`protected TrustEngine<? super X509Credential>`
BaseClientCertAuthSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.
`protected abstract TrustEngine<? super TokenType>`
BaseTrustEngineSecurityHandler.`resolveTrustEngine(MessageContext messageContext)`
Resolve a TrustEngine instance of the appropriate type from the message context.
`protected abstract void`
BaseClientCertAuthSecurityHandler.`setAuthenticatedCertificatePresenterEntityID(MessageContext messageContext, String entityID)`
Store the successfully authenticated derived entity ID of the certificate presenter in the message context.
`protected abstract void`
BaseClientCertAuthSecurityHandler.`setAuthenticatedState(MessageContext messageContext, boolean authenticated)`
Store the indicated message authentication state in the message context.
Method parameters in org.opensaml.security.messaging.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
PopulateHttpClientSecurityParametersHandler.`setClientTLSPredicate(Predicate<MessageContext> predicate)`
Set the predicate which determines whether clientTLS credentials should be included in the resolved parameters.
`void`
PopulateHttpClientSecurityParametersHandler.`setConfigurationLookupStrategy(Function<MessageContext,List<HttpClientSecurityConfiguration>> strategy)`
Set the strategy used to look up a per-request `HttpClientSecurityConfiguration` list.
`void`
PopulateHttpClientSecurityParametersHandler.`setExistingParametersContextLookupStrategy(Function<MessageContext,HttpClientSecurityContext> strategy)`
Set the strategy used to look up an existing `HttpClientSecurityContext` to copy instead of actually resolving the parameters to set.
`void`
PopulateHttpClientSecurityParametersHandler.`setSecurityParametersContextLookupStrategy(Function<MessageContext,HttpClientSecurityContext> strategy)`
Set the strategy used to look up the `HttpClientSecurityContext` to set the parameters for.

## Uses of MessageContext in org.opensaml.soap.client.http

Fields in org.opensaml.soap.client.http with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,SOAP11Context>`
HttpSOAPClient.`soap11ContextLookupStrategy`
Deprecated.
Strategy used to look up the `SOAP11Context` associated with the outbound message context.
`private Function<MessageContext,SOAPClientContext>`
HttpSOAPClient.`soapClientContextLookupStrategy`
Deprecated.
Strategy used to look up the `SOAPClientContext` associated with the outbound message context.
Methods in org.opensaml.soap.client.http that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`Function<MessageContext,SOAP11Context>`
HttpSOAPClient.`getSOAP11ContextLookupStrategy()`
Deprecated.
Get the strategy used to look up the `SOAP11Context` associated with the outbound message context.
`Function<MessageContext,SOAPClientContext>`
HttpSOAPClient.`getSOAPClientContextLookupStrategy()`
Deprecated.
Get the strategy used to look up the `SOAPClientContext` associated with the outbound message context.
Method parameters in org.opensaml.soap.client.http with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
HttpSOAPClient.`setSOAP11ContextLookupStrategy(Function<MessageContext,SOAP11Context> strategy)`
Deprecated.
Set the strategy used to look up the `SOAP11Context` associated with the outbound message context.
`void`
HttpSOAPClient.`setSOAPClientContextLookupStrategy(Function<MessageContext,SOAPClientContext> strategy)`
Deprecated.
Set the strategy used to look up the `SOAPClientContext` associated with the outbound message context.

## Uses of MessageContext in org.opensaml.soap.client.messaging

Fields in org.opensaml.soap.client.messaging with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Map<String,Function<MessageContext,T>>`
SOAPClientPipelineNameMappingFunction.`delegateMap`
Map of pipeline names to delegate predicates.
`private Map<String,Predicate<MessageContext>>`
SOAPClientPipelineNameMappingPredicate.`delegateMap`
Map of pipeline names to delegate predicates.
`private Function<MessageContext,SOAPClientContext>`
SOAPClientPipelineNameMappingFunction.`soapClientContextLookup`
Lookup strategy for the SOAP client context.
`private Function<MessageContext,SOAPClientContext>`
SOAPClientPipelineNameMappingPredicate.`soapClientContextLookup`
Lookup strategy for the SOAP client context.
Methods in org.opensaml.soap.client.messaging with parameters of type MessageContext
Modifier and Type
Method
Description
`String`
SOAPClientDestinationURILookup.`apply(MessageContext messageContext)`
`T`
SOAPClientPipelineNameMappingFunction.`apply(MessageContext input)`
`boolean`
SOAPClientPipelineNameMappingPredicate.`test(MessageContext input)`
Constructor parameters in org.opensaml.soap.client.messaging with type arguments of type MessageContext
Modifier
Constructor
Description
``
`SOAPClientPipelineNameMappingFunction(Map<String,Function<MessageContext,T>> mappings)`
Constructor.
``
`SOAPClientPipelineNameMappingFunction(Map<String,Function<MessageContext,T>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.
``
`SOAPClientPipelineNameMappingFunction(Map<String,Function<MessageContext,T>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.
``
`SOAPClientPipelineNameMappingPredicate(Map<String,Predicate<MessageContext>> mappings)`
Constructor.
``
`SOAPClientPipelineNameMappingPredicate(Map<String,Predicate<MessageContext>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.
``
`SOAPClientPipelineNameMappingPredicate(Map<String,Predicate<MessageContext>> mappings, ContextDataLookupFunction<MessageContext,SOAPClientContext> lookupStrategy)`
Constructor.

## Uses of MessageContext in org.opensaml.soap.client.security

Fields in org.opensaml.soap.client.security with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,SOAPClientSecurityContext>`
SOAPClientSecurityProfileIdLookupFunction.`soapContextLookup`
Lookup function for `SOAPClientSecurityContext`.
Methods in org.opensaml.soap.client.security with parameters of type MessageContext
Modifier and Type
Method
Description
`String`
SOAPClientSecurityProfileIdLookupFunction.`apply(MessageContext messageContext)`
Method parameters in org.opensaml.soap.client.security with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
SOAPClientSecurityProfileIdLookupFunction.`setSOAPClientSecurityContextLookup(Function<MessageContext,SOAPClientSecurityContext> lookup)`
Set lookup function for for `SOAPClientSecurityContext`.

## Uses of MessageContext in org.opensaml.soap.messaging

Fields in org.opensaml.soap.messaging with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Predicate<MessageContext>`
AbstractHeaderGeneratingMessageHandler.`mustUnderstandStrategy`
Predicate strategy for evaluating mustUnderstand from the message context.
`private Function<MessageContext,String>`
AbstractHeaderGeneratingMessageHandler.`targetNodeStrategy`
Function strategy for resolving target node from the message context.
Methods in org.opensaml.soap.messaging with parameters of type MessageContext
Modifier and Type
Method
Description
`static void`
SOAPMessagingSupport.`addHeaderBlock(MessageContext messageContext, XMLObject headerBlock)`
Add a header block to the SOAP envelope contained within the specified message context's SOAP subcontext.
`static void`
SOAPMessagingSupport.`addMustUnderstand(MessageContext messageContext, XMLObject headerBlock, boolean mustUnderstand)`
Add whether the specified header block is indicated as mustUnderstand.
`static void`
SOAPMessagingSupport.`addTargetNode(MessageContext messageContext, XMLObject headerBlock, String targetNode)`
Add the target node info to the header block, either `soap11:actor`, or `soap12:role`.
`static boolean`
SOAPMessagingSupport.`checkUnderstoodHeader(MessageContext msgContext, XMLObject header)`
Check whether a header was understood.
`static void`
SOAPMessagingSupport.`clearFault(MessageContext messageContext)`
Clear the currently registered SOAP fault, if any.
`protected void`
AbstractHeaderGeneratingMessageHandler.`decorateGeneratedHeader(MessageContext messageContext, XMLObject header)`
Decorate the header based on configured and/or resolved values.
`protected boolean`
AbstractHeaderGeneratingMessageHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`static SOAP11Context`
SOAPMessagingSupport.`ensureSOAP11Context(MessageContext messageContext)`
Get the current `SOAP11Context` for the given `MessageContext`, or create one if necessary.
`static List<XMLObject>`
SOAPMessagingSupport.`getHeaderBlock(MessageContext messageContext, QName headerName, Set<String> targetNodes, boolean isFinalDestination)`
Get a header block from the SOAP envelope contained within the specified message context's SOAP subcontext.
`static List<XMLObject>`
SOAPMessagingSupport.`getInboundHeaderBlock(MessageContext messageContext, QName headerName)`
Get a header block from the SOAP envelope contained within the specified message context's SOAP subcontext.
`static InboundSOAPContext`
SOAPMessagingSupport.`getInboundSOAPContext(MessageContext messageContext)`
Get the current `InboundSOAPContext` for the given `MessageContext`.
`static List<XMLObject>`
SOAPMessagingSupport.`getOutboundHeaderBlock(MessageContext messageContext, QName headerName)`
Get a header block from the SOAP envelope contained within the specified message context's SOAP subcontext.
`static SOAP11Context`
SOAPMessagingSupport.`getSOAP11Context(MessageContext messageContext)`
Get the current `SOAP11Context` for the given `MessageContext`.
`static SOAP11Context`
SOAPMessagingSupport.`getSOAP11Context(MessageContext messageContext, boolean autoCreate)`
Deprecated, for removal: This API element is subject to removal in a future version.
`static Fault`
SOAPMessagingSupport.`getSOAP11Fault(MessageContext messageContext)`
Get the registered SOAP 1.1 fault, if any.
`static SOAPVersion`
SOAPMessagingSupport.`getSOAPVersion(MessageContext messageContext)`
Determine the SOAP version of the message represented by the message context.
`static boolean`
SOAPMessagingSupport.`isMustUnderstand(MessageContext messageContext, XMLObject headerBlock)`
Check whether the specified header block is indicated as mustUnderstand == true.
`static boolean`
SOAPMessagingSupport.`isSOAP11Message(MessageContext messageContext)`
Determine whether the message represented by the message context contains a SOAP 1.1.
`static boolean`
SOAPMessagingSupport.`isSOAPMessage(MessageContext messageContext)`
Determine whether the message represented by the message context contains a SOAP Envelope.
`static void`
SOAPMessagingSupport.`registerSOAP11Fault(MessageContext messageContext, QName faultCode, String faultString, String faultActor, List<XMLObject> detailChildren, Map<QName,String> detailAttributes)`
Register a SOAP 1.1.
`static void`
SOAPMessagingSupport.`registerSOAP11Fault(MessageContext messageContext, Fault fault)`
Register a SOAP 1.1 fault.
`static void`
SOAPMessagingSupport.`registerUnderstoodHeader(MessageContext msgContext, XMLObject header)`
Register a header as understood.
Method parameters in org.opensaml.soap.messaging with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
AbstractHeaderGeneratingMessageHandler.`setMustUnderstandStrategy(Predicate<MessageContext> strategy)`
Set the predicate strategy for evaluating mustUnderstand from the message context.
`void`
AbstractHeaderGeneratingMessageHandler.`setTargetNodeStrategy(Function<MessageContext,String> strategy)`
Set the predicate strategy for evaluating mustUnderstand from the message context.

## Uses of MessageContext in org.opensaml.soap.soap11.decoder.http.impl

Methods in org.opensaml.soap.soap11.decoder.http.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
EnvelopeBodyHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
SimplePayloadBodyHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.

## Uses of MessageContext in org.opensaml.soap.soap11.messaging.impl

Methods in org.opensaml.soap.soap11.messaging.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`boolean`
SOAP11FaultContextDecoratingErrorHandler.`handleError(Throwable t, MessageContext messageContext)`
Handle a particular thrown error.

## Uses of MessageContext in org.opensaml.soap.wsaddressing.messaging.impl

Fields in org.opensaml.soap.wsaddressing.messaging.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private ContextDataLookupFunction<MessageContext,String>`
AddRelatesToHandler.`relatesToURILookup`
Optional lookup function for obtaining the RelatesTo URI value.
Methods in org.opensaml.soap.wsaddressing.messaging.impl that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`ContextDataLookupFunction<MessageContext,String>`
AddRelatesToHandler.`getRelatesToURILookup()`
Get the function for looking up the RelatesTo URI value.
Methods in org.opensaml.soap.wsaddressing.messaging.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
AddActionHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
AddMessageIDHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
AddRelatesToHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
ExtractMessageIDHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected void`
ValidateActionHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
AddActionHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
AddRelatesToHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected boolean`
ValidateActionHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected Action`
ValidateActionHandler.`getAction(MessageContext messageContext)`
Get message Action header.
`protected String`
AddMessageIDHandler.`getMessageID(MessageContext messageContext)`
Get the effective message ID value to issue in the outbound message.
`protected MessageID`
ExtractMessageIDHandler.`getMessageID(MessageContext messageContext)`
Get message MessageID URI value.
Method parameters in org.opensaml.soap.wsaddressing.messaging.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
AddRelatesToHandler.`setRelatesToURILookup(ContextDataLookupFunction<MessageContext,String> lookup)`
Set the function for looking up the RelatesTo URI value.

## Uses of MessageContext in org.opensaml.soap.wssecurity.messaging

Methods in org.opensaml.soap.wssecurity.messaging with parameters of type MessageContext
Modifier and Type
Method
Description
`static void`
WSSecurityMessagingSupport.`addSecurityHeaderBlock(MessageContext messageContext, XMLObject securityHeader, boolean mustUnderstand)`
Add a `Security` sub-header block to the SOAP envelope contained within the specified message context's SOAP subcontext.
`static void`
WSSecurityMessagingSupport.`addSecurityHeaderBlock(MessageContext messageContext, XMLObject securitySubHeader, boolean mustUnderstand, String targetNode, boolean isFinalDestination)`
Add a `Security` sub-header block to the SOAP envelope contained within the specified message context's SOAP subcontext.

## Uses of MessageContext in org.opensaml.soap.wssecurity.messaging.impl

Fields in org.opensaml.soap.wssecurity.messaging.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,Instant>`
AddTimestampHandler.`createdLookup`
Context lookup function for the Created time.
`private Function<MessageContext,Instant>`
AddTimestampHandler.`expiresLookup`
Context lookup function for the Expires time.
Methods in org.opensaml.soap.wssecurity.messaging.impl that return types with arguments of type MessageContext
Modifier and Type
Method
Description
`Function<MessageContext,Instant>`
AddTimestampHandler.`getCreatedLookup()`
Get the context lookup function for the Created time.
`Function<MessageContext,Instant>`
AddTimestampHandler.`getExpiresLookup()`
Get the context lookup function for the Expires time.
Methods in org.opensaml.soap.wssecurity.messaging.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
AddTimestampHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`protected boolean`
AddTimestampHandler.`doPreInvoke(MessageContext messageContext)`
Called prior to execution, handlers may override this method to perform pre-processing for a request.
`protected Instant`
AddTimestampHandler.`getCreatedValue(MessageContext messageContext)`
Get the Created value.
`protected Instant`
AddTimestampHandler.`getExpiresValue(MessageContext messageContext, Instant created)`
Get the Expires value.
Method parameters in org.opensaml.soap.wssecurity.messaging.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
AddTimestampHandler.`setCreatedLookup(Function<MessageContext,Instant> lookup)`
Set the context lookup function for the Created time.
`void`
AddTimestampHandler.`setExpiresLookup(Function<MessageContext,Instant> lookup)`
Set the context lookup function for the Expires time.

## Uses of MessageContext in org.opensaml.xmlsec.messaging.impl

Fields in org.opensaml.xmlsec.messaging.impl with type parameters of type MessageContext
Modifier and Type
Field
Description
`private Function<MessageContext,List<SignatureValidationConfiguration>>`
PopulateSignatureValidationParametersHandler.`configurationLookupStrategy`
Strategy used to lookup a per-request `SignatureValidationConfiguration` list.
`private Function<MessageContext,SecurityParametersContext>`
PopulateSignatureValidationParametersHandler.`securityParametersContextLookupStrategy`
Strategy used to look up the `SecurityParametersContext` to set the parameters for.
Methods in org.opensaml.xmlsec.messaging.impl with parameters of type MessageContext
Modifier and Type
Method
Description
`protected void`
PopulateSignatureValidationParametersHandler.`doInvoke(MessageContext messageContext)`
Performs the handler logic.
Method parameters in org.opensaml.xmlsec.messaging.impl with type arguments of type MessageContext
Modifier and Type
Method
Description
`void`
PopulateSignatureValidationParametersHandler.`setConfigurationLookupStrategy(Function<MessageContext,List<SignatureValidationConfiguration>> strategy)`
Set the strategy used to look up a per-request `SignatureValidationConfiguration` list.
`void`
PopulateSignatureValidationParametersHandler.`setSecurityParametersContextLookupStrategy(Function<MessageContext,SecurityParametersContext> strategy)`
Set the strategy used to look up the `SecurityParametersContext` to set the parameters for.